Name:          gjs
Version:       1.54.1
Release:       5
Summary:       using GNOME libraries from Javascript
License:       MIT and (MPLv1.1 or GPLv2+ or LGPLv2+)
URL:           https://wiki.gnome.org/Attic/Gjs
Source0:       https://download.gnome.org/sources/gjs/1.54/gjs-%{version}.tar.xz

BuildRequires: cairo-gobject-devel chrpath gobject-introspection-devel >= 1.41.4
BuildRequires: glib2-devel >= 2.54.0 gtk3-devel >= 3.20 mozjs60-devel >= 60.2.2
BuildRequires: readline-devel dbus-glib-devel gcc-c++ gettext pkgconfig dbus-daemon

Requires:      glib2 >= 2.54.0 gobject-introspection >= 1.41.4 gtk3 >= 3.20 mozjs60 >= 60.2.2

%description
Gjs is a Javascript binding for GNOME. It's mainly based on Spidermonkey javascript
engine and the GObject introspection framework.

%package devel
Summary:   Development files for gjs
Requires:  %{name} = %{version}-%{release}

Provides:  %{name}-tests = %{version}-%{release}
Obsoletes: %{name}-tests < %{version}-%{release}

%description devel
Development files for gjs.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --enable-installed-tests

%make_build V=1

%install
%make_install

chrpath --delete %{buildroot}%{_bindir}/gjs-console
chrpath --delete %{buildroot}%{_libexecdir}/gjs/installed-tests/minijasmine

%delete_la

%files
%defattr(-,root,root)
%doc NEWS README
%license COPYING
%{_bindir}/gjs*
%{_libdir}/*.so.*
%{_libdir}/gjs

%files devel
%defattr(-,root,root)
%doc examples/*
%{_includedir}/gjs-1.0
%{_libdir}/pkgconfig/gjs-1.0.pc
%{_libdir}/*.so
%{_libexecdir}/gjs/installed-tests
%{_datadir}/gjs-1.0/lsan/
%{_datadir}/gjs-1.0/valgrind/
%{_datadir}/installed-tests

%changelog
* Mon Jan 20 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.54.1-5
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:add dbus-daemon in buildrequires

* Tue Dec 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.54.1-4
- change the path of files

* Wed Sep 11 2019 Lijin Yang <yanglijin@huawei.com> - 1.54.1-3
- Package init
